@charset "UTF-8";
/*--------------------------------------------------
 ※※※※※※※※※※※※※※※※※※※※※※※※
 as2_search
 ※※※※※※※※※※※※※※※※※※※※※※※※
--------------------------------------------------*/
.as2-recommended-item {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
  margin: 20px 0 40px;
}
.as2-recommended-item__title {
  font-weight: bold;
  padding-right: 20px;
}
.as2-recommended-item__list {
  display: flex !important;
  flex-wrap: wrap;
  justify-content: center !important;
  gap: 15px;
}
.as2-recommended-item__item {
  background: #fbf0f1;
  padding: 5px 15px;
  border-radius: 5px;
}
.as2-recommended-item__item:last-child {
  margin-right: 0;
}
.as2-recommended-item__item:hover {
  opacity: 0.8;
}
.as2-recommended-item__link:hover {
  text-decoration: none;
}

.as2-banner {
  display: flex;
  justify-content: center;
  gap: 30px;
}
.as2-banner__item {
  width: calc(100% / 2);
}
@media only screen and (max-width: 767px) {
  .as2-banner {
    flex-direction: column;
  }
  .as2-banner__item {
    width: 100%;
  }
}

.as2-container .as2-banner {
  margin-top: 20px;
}
.as2-container .as2-recommended-item {
  margin: 40px auto 20px;
}

.as2-search-order {
  display: flex;
  justify-content: flex-end;
}

.as2-page-search {
  display: none;
}
.as2-page-search__link {
  display: flex;
  color: #fff;
  flex-direction: column;
  justify-content: center;
  font-weight: bold;
  font-size: 12px;
  padding-bottom: 5px;
  text-decoration: none;
}
.as2-page-search__link:before {
  content: "";
  display: inline-block;
  width: 14px;
  height: 14px;
  padding: 3px;
  margin: 0 auto;
  background: url(/img/ico_search.svg) no-repeat center/contain;
}
.as2-page-search__link:visited {
  color: #fff;
  text-decoration: none;
}
@media only screen and (max-width: 767px) {
  .as2-page-search {
    display: flex;
    justify-content: center;
    position: fixed;
    z-index: 1;
    bottom: 85px;
    right: 15px;
    background: #de4d52;
    width: 60px;
    height: 60px;
    border-radius: 50%;
  }
}

.as2-sidebar {
  font-size: 1.4rem;
}
@media only screen and (max-width: 767px) {
  .as2-sidebar {
    margin-top: 30px;
  }
}
.as2-sidebar__box {
  margin-bottom: 30px;
}
.as2-sidebar__title {
  height: 40px;
  line-height: 40px;
  color: #fff;
  background: #de4d52;
  padding: 0 1em;
  font-weight: bold;
}
.as2-sidebar__title:first-child {
  margin-top: 0;
}
.as2-sidebar__container {
  border: 1px solid #ccc;
  border-top: none;
}

.as2-category__title::before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  border: 5px solid transparent;
  border-left: 5px solid #de4d52;
  margin: 0 5px 0 0;
}
.as2-category__item {
  padding: 10px;
  border-bottom: 1px dotted #ccc;
}
.as2-category__item:last-child {
  border-bottom: none;
}
.as2-category__item--active .as2-category__title {
  font-weight: bold;
  text-decoration: underline;
}

.as2-parent-category__item {
  padding: 0.5em;
  display: block;
  padding: 0 10px 0 10px;
}
.as2-parent-category__item:last-child {
  border-bottom: none;
}
.as2-parent-category__item--active .as2-parent-category__title {
  background: #fbf0f1;
  border-radius: 5px;
  padding: 5px;
}
.as2-parent-category__item--active .as2-parent-category__title::after {
  content: "";
  display: block;
  position: relative;
  width: 18px;
  height: 18px;
  margin-left: 10px;
  background: url(/img/ico_check.svg) no-repeat center/contain;
}
.as2-parent-category__title {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  font-weight: bold;
}
.as2-parent-category__title-text {
  width: 170px;
  max-width: 170px;
}

.as2-child-category__title {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
}
.as2-child-category__title-text {
  width: 175px;
  max-width: 175px;
}
.as2-child-category__title-text::before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  width: 8px;
  height: 3px;
  border-radius: 1px;
  margin-right: 5px;
  background: #de4d52;
}
.as2-child-category__title:hover {
  text-decoration: underline;
  opacity: 0.8;
  cursor: pointer;
}
.as2-child-category__item {
  margin: 0 0 0 10px;
}
.as2-child-category__item:first-child {
  margin-top: 5px;
}
.as2-child-category__item--active .as2-child-category__title {
  background: #fbf0f1;
  border-radius: 5px;
}
.as2-child-category__item--active .as2-child-category__title::after {
  content: "";
  display: block;
  position: relative;
  width: 18px;
  height: 18px;
  margin-left: 10px;
  background: url(/img/ico_check.svg) no-repeat center/contain;
}

.as2-sub-category__item {
  margin: 0 0 0 10px;
}
.as2-sub-category__item:first-child {
  margin-top: 5px;
}
.as2-sub-category__item--active .as2-sub-category__title {
  background: #fbf0f1;
  border-radius: 5px;
}
.as2-sub-category__item--active .as2-sub-category__title::after {
  content: "";
  display: block;
  position: relative;
  width: 18px;
  height: 18px;
  margin-left: 10px;
  background: url(/img/ico_check.svg) no-repeat center/contain;
}
.as2-sub-category__title {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
}
.as2-sub-category__title-text {
  width: 175px;
  max-width: 175px;
}

.as2-checkbox {
  padding: 10px;
}
.as2-checkbox.is-maker {
  font-size: 12px;
}
.as2-checkbox-list {
  margin-bottom: 10px;
}
.as2-checkbox-list__item {
  display: flex;
  align-items: center;
  gap: 5px;
  margin-bottom: 10px;
}
.as2-checkbox-list__item label {
  width: 194px;
  overflow-wrap: break-word;
  cursor: pointer;
}
.as2-checkbox-list__item:last-child {
  margin-bottom: 0;
}

.as2-radio {
  padding: 10px;
}
.as2-radio-list__item {
  margin-bottom: 10px;
}
.as2-radio-list__item:last-child {
  margin-bottom: 0;
}

.as2-price {
  padding: 10px;
}
.as2-price-input__container {
  display: flex;
  margin-bottom: 20px;
}
.as2-price-input__container input[type="number"] {
  border-radius: 5px;
  border: 1px solid #ccc;
  padding: 5px;
  text-align: right;
  min-height: 26px;
  width: 50%;
}
.as2-price-input__text {
  margin: 0 5px;
}
.as2-price-list__item {
  display: flex;
  align-items: baseline;
  margin-bottom: 10px;
}
.as2-price-list__item::before {
  content: "";
  border: solid #de4d52;
  border-width: 0 2px 2px 0;
  display: inline-block;
  padding: 2px;
  margin-right: 8px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
}
.as2-price-list__link {
  display: block;
  width: 225px;
}

.as2-button-big {
  display: flex;
  justify-content: center;
  width: 100%;
  background: #de4d52;
  border: none;
  color: white;
  font-weight: bold;
  padding: 0.5em;
  border-radius: 5px;
}
.as2-button-big:hover {
  color: white;
  opacity: 0.8;
  cursor: pointer;
  text-decoration: none;
}

.as2-button-plus {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  color: #de4d52;
  text-decoration: underline;
  margin-bottom: 10px;
}
.as2-button-plus:hover {
  color: #de4d52;
  text-decoration: none;
}
.as2-button-plus::before {
  content: "";
  width: 8px;
  height: 8px;
  background: url(/img/ico_plus.svg) no-repeat center/contain;
}
.as2-button-plus--closed::before {
  background: #de4d52;
  width: 8px;
  height: 2px;
  border-radius: 1px;
}

.as2-button-search {
  display: flex;
  align-items: center;
  padding: 10px;
  margin-left: 10px;
  background: #de4d52;
  color: #fff;
  text-decoration: none;
  border-radius: 5px;
  border: 0;
}
.as2-button-search:hover {
  color: #fff;
  text-decoration: none;
  opacity: 0.8;
}
.as2-button-search::before {
  content: "";
  display: inline-block;
  width: 14px;
  height: 14px;
  background: url(/img/ico_search.svg) no-repeat center/contain;
}

#itemSearch {
  border: none;
}

.as2-search-column {
  position: absolute;
  top: 100%;
  border: 1px solid #ccc;
  background: #fff;
  z-index: 999;
  width: 100%;
}

@media only screen and (max-width: 767px) {
  .as2-search-column {
    width: 100%;
  }
}
.as2-search-column__title {
  padding: 5px 0 5px 10px;
  background: #fff8e8;
  font-weight: bold;
}
.as2-search-column li {
  padding: 5px 0 5px 5px;
}
.as2-search-column li:hover {
  background-color: #fbf0f1;
  cursor: pointer;
}
@media only screen and (max-width: 767px) {
  .as2-search-column li {
    padding: 10px 0 10px 10px;
  }
}
.as2-search-column span:nth-child(2) {
  color: #de4d52;
  font-weight: bold;
}
.as2-search-column a:hover {
  text-decoration: none;
}
.as2-search-column .as2-banner {
  flex-direction: column;
  gap: 5px;
}
.as2-search-column .as2-banner__item {
  width: 100%;
}

.as2-auto-complete {
  border-bottom: 1px solid #ccc;
}

.as2-search-history {
  margin-bottom: 10px;
}

#as2-search-input:focus + button + .as2-search-column {
  display: block;
}

.as2-pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 30px;
}
.as2-pagination__number {
  display: inline-flex;
  position: relative;
  align-items: center;
  justify-content: center;
  width: 32px;
  height: 32px;
  margin-right: 5px;
  border-radius: 50%;
  color: #de4d52;
  font-weight: bold;
}
.as2-pagination__number:last-child {
  margin-right: 0;
}
.as2-pagination__number:hover {
  color: #de4d52;
}
.as2-pagination__number.is-current {
  background: #de4d52;
  color: #fff;
  pointer-events: none;
}
.as2-pagination__dots {
  margin: 0 10px 0 5px;
  color: #de4d52;
  font-weight: bold;
  pointer-events: none;
}
.as2-pagination__arrow {
  width: 11px;
  height: 18px;
  background: url("/img/ico_angle_left.svg") no-repeat center center/auto 100%;
}
.as2-pagination__arrow.is-disabled {
  pointer-events: none;
}
.as2-pagination__arrow:hover {
  opacity: 0.8;
}
.as2-pagination__arrow--prev {
  margin-right: 20px;
}
.as2-pagination__arrow--prev.is-disabled {
  background-image: url("/img/ico_angle_left_sub.svg");
}
.as2-pagination__arrow--double-prev {
  width: 20px;
  margin-right: 20px;
  background-image: url("/img/ico_double_arrow_left.svg");
}
.as2-pagination__arrow--next {
  margin-left: 15px;
  background-image: url("/img/ico_angle_right.svg");
}
.as2-pagination__arrow--next.is-disabled {
  background-image: url("/img/ico_angle_right_sub.svg");
}
.as2-pagination__arrow--double-next {
  width: 20px;
  margin-left: 20px;
  background-image: url("/img/ico_double_arrow_right.svg");
}

/* 以下advantage_searchからの切り替え時に追加 */

/* 商品 */
.as2_iurl {
  width: 100%;
  object-fit: contain;
  aspect-ratio: 1 / 1;
}

/* カテゴリー */
.as2-category, .as2-parent-category, .as2-child-category, .as2-sub-category {
  display: flex;
  flex-direction: column;
}
.as2-category__item--active, .as2-parent-category__item--active, .as2-child-category__item--active, .as2-sub-category__item--active {
  order: -1;
}

/* メーカー & ファセット */
ul.as2-checkbox-list > li.as2-checkbox-list__item:nth-child(-n + 5) {
  display: block!IMPORTANT;
}
ul.as2-checkbox-list > li.as2-checkbox-list__item:has(input:checked) {
  display: block!IMPORTANT;
}

/* 価格帯 */
ul.as2-price-list > li.as2-price-list__item:nth-child(-n + 5) {
  display: flex!IMPORTANT;
}
